
Robotics Service Bus - Tasks #926
Release version 0.7
03/05/2012 12:46 PM - J. Moringen

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Release Management Estimated time: 0.00 hour
Target version: rsb-0.7
Description

    1. Migrate to git
        -  project:rsc ✓
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-xml later
        -  project:rsb-gstreamer later 
        -  rsbtimesync ✓ (now part of rsb-tools-cpp)
    2. Create branches
        -  project:rsc ✓
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-xml ✓
        -  project:rsb-gstreamer ✓
        -  rsbtimesync ✓ (now part of rsb-tools-cpp)
    3. Version bump
        -  project:rsc ✓
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-xml ✓
        -  project:rsb-gstreamer ✓
        -  rsbtimesync ✓ (now part of rsb-tools-cpp)
    4. Create build jobs (see https://support.cor-lab.org/issues/410) ✓
    5. Fix this: https://support.cor-lab.org/issues/335 ✓
    6. Close version version:rsb-0.7 ✓
    7. Announce release
        -  In project:rsc redmine no
        -  In project:rsb redmine ✓
        -  On the mailing list ✓

Announcement for RST:

We are happy to announce the release of version 2.0 of RST, with minor changes
to the initial RST 1.0 release:

* End-User Documentation set up at http://docs.cor-lab.de/rst-manual/trunk/html/index.html
* One data type was pushed from sandbox to stable:
** ClassificationResult, see #1001
* Debian package build updated with respect to lintian

Related issues:
Blocks Packaging - Tasks # 1019: PyPi entry for rsb-python Resolved 06/22/2012
https://support.cor-lab.org/issues/410
https://support.cor-lab.org/issues/335


Blocked by Packaging - Tasks # 1052: rsbag-tools-cl-0.7 for Ubuntu Precise Closed 07/01/2012
Blocked by Packaging - Tasks # 1053: rsb-tools-cl-0.7 for Ubuntu Precise Closed 07/01/2012

Associated revisions
Revision 3e4e659a - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 2074ffbb - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0
Revision 4fc8e8c7 - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision defa9e2c - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 74c6b0bb - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 917a58a1 - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 1b59934e - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 795f96c4 - 07/23/2012 03:10 AM - J. Moringen
Version bump 0.7 -> 0.8
refs #926
    -  cl/cl-rsb-ros/cl-rsb-ros.asd (version-minor): 7 -> 8
    -  cl/cl-rsb-tools/cl-rsb-common.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-formatting.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-stats.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-call.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-info.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-logger.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-main.asd (version-minor): likewise
    -  cl/cl-rsb-tools/cl-rsb-tools-send.asd (version-minor): likewise
    -  cl/cl-rsb-yarp/cl-rsb-yarp.asd (version-minor): likewise
    -  cl/cl-rsb/cl-rsb.asd (version-minor): likewise
    -  cpp/core/CMakeLists.txt (RSB_VERSION_MINOR): 7 -> 8
    -  cpp/yarp/CMakeLists.txt (RSBYARP_VERSION): 0.7.0 -> 0.8.0
    -  java/core/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  manual/conf.py.in (release): 0.7.0 -> 0.8.0
    -  matlab/build.xml

  (project/description/property[@name=version]/@value): 0.7.0 -> 0.8.0
    -  protocol/CMakeLists.txt (RSB_PROTOCOL_VERSION_MINOR): 7 -> 8
    -  python/core/setup.py (version): 0.7.0 -> 0.8.0

Revision 878cdad0 - 07/23/2012 03:38 AM - J. Moringen
Avoid invalid literal in src/rsb/Version.h.in
refs #926
    -  src/rsb/Version.h.in: avoid invalid octal literal 000800 which would

  occur for version 0.8.0; strangely, only msvc complained about this

Revision e0049a75 - 07/23/2012 06:15 PM - J. Moringen
Bumped version 0.7 -> 0.8
refs #926
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-common.asd (version-minor): 7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-cat.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-info.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-main.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-merge.asd (version-minor):

  7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-play.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-record.asd (version-minor):

  7 -> 8
    -  trunk/cl/cl-rsbag/cl-rsbag.asd (version-minor): 7 -> 8
    -  trunk/manual/conf.py.in: changed version 0.7 -> 0.8 and release

  0.7.0 -> 0.8.0
    -  trunk/protocol/CMakeLists.txt: changed RSB_VERSION_MINOR 7 -> 8

Revision 062156ae - 07/23/2012 06:15 PM - J. Moringen
Bumped version 0.7 -> 0.8
refs #926
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-common.asd (version-minor): 7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-cat.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-info.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-main.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-merge.asd (version-minor):

  7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-play.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-record.asd (version-minor):

  7 -> 8
    -  trunk/cl/cl-rsbag/cl-rsbag.asd (version-minor): 7 -> 8
    -  trunk/manual/conf.py.in: changed version 0.7 -> 0.8 and release

  0.7.0 -> 0.8.0
    -  trunk/protocol/CMakeLists.txt: changed RSB_VERSION_MINOR 7 -> 8

Revision c5496c83 - 07/23/2012 06:15 PM - J. Moringen
Bumped version 0.7 -> 0.8
refs #926
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-common.asd (version-minor): 7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-cat.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-info.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-main.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-merge.asd (version-minor):
  7 -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-play.asd (version-minor): 7

  -> 8
    -  trunk/cl/cl-rsbag-tools/cl-rsbag-tools-record.asd (version-minor):

  7 -> 8
    -  trunk/cl/cl-rsbag/cl-rsbag.asd (version-minor): 7 -> 8
    -  trunk/manual/conf.py.in: changed version 0.7 -> 0.8 and release

  0.7.0 -> 0.8.0
    -  trunk/protocol/CMakeLists.txt: changed RSB_VERSION_MINOR 7 -> 8

Revision 65 - 07/24/2012 07:06 PM - J. Moringen

0.7 branch; refs #926

Revision 66 - 07/24/2012 07:09 PM - J. Moringen
Version bump 0.1.0 -> 0.2.0 in trunk/CMakeLists.txt
refs #926
    -  trunk/CMakeLists.txt: changed CPACK_PACKAGE_VERSION_MINOR 1 -> 2

Revision a01dacf1 - 07/24/2012 07:09 PM - J. Moringen
Version bump 0.1.0 -> 0.2.0 in trunk/CMakeLists.txt
refs #926
    -  trunk/CMakeLists.txt: changed CPACK_PACKAGE_VERSION_MINOR 1 -> 2

History
#1 - 06/22/2012 03:32 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen
- % Done changed from 0 to 10

#2 - 06/22/2012 03:32 PM - J. Moringen
- Description updated

#3 - 07/09/2012 03:18 PM - J. Wienke
- Description updated

#4 - 07/13/2012 11:40 AM - S. Wrede
- Description updated

#5 - 07/13/2012 11:55 AM - J. Moringen
- Description updated

#6 - 07/22/2012 08:55 PM - J. Moringen
- Description updated
- % Done changed from 10 to 20

#7 - 07/23/2012 04:23 AM - J. Moringen
- Description updated
- % Done changed from 20 to 50
#8 - 07/23/2012 05:35 PM - J. Moringen
- Description updated

#9 - 07/23/2012 06:18 PM - J. Moringen
- Description updated
- % Done changed from 50 to 70

#10 - 07/26/2012 12:17 PM - J. Moringen
- Description updated

#11 - 08/04/2012 07:03 PM - J. Moringen
- Description updated

#12 - 08/04/2012 07:04 PM - J. Moringen
- Category set to Release Management

#13 - 08/11/2012 05:35 AM - J. Moringen
- Description updated
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100
